%define luaver 5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%global baseversion 1.13.0

Name:           lua-coxpcall
Version:        1.14.0
Release:        2%{?dist}
Summary:        Coroutine safe xpcall and pcall versions for Lua

Group:          Development/Libraries
License:        MIT
URL:            http://coxpcall.luaforge.net/
Source0:        http://luaforge.net/frs/download.php/3406/coxpcall-%{baseversion}.tar.gz
# Update to 1.14.0 in git
# https://github.com/keplerproject/coxpcall
Patch0:		coxpcall-1.14.0-git.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  lua >= %{luaver}, lua-devel >= %{luaver}
Requires:       lua >= %{luaver}

%description
Coxpcall encapsulates the protected calls with a coroutine based loop, so
errors can be handled without the usual pcall/xpcall issues with coroutines.

Using Coxpcall usually consists in simply loading the module and then
replacing Lua pcall and xpcall by copcall and coxpcall.

%prep
%setup -q -n coxpcall-%{baseversion}
%patch0 -p1 -b .git


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{luapkgdir}
make install LUA_DIR=%{buildroot}%{luapkgdir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README doc/us/*
%{luapkgdir}/*


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Tom Callaway <spot@fedoraproject.org> - 1.14.0-1
- update to 1.14.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Tim Niemueller <tim@niemueller.de> - 1.13.0-1
- Initial package

